고객 속성 정의
고객 속성 정의 삭제
고객 속성 정의를 영구 삭제합니다. 고객의 attributes에 저장된 기존 값은 유지되지만 더 이상 속성 정의와 연결되지 않습니다.
DELETE
/
customer-attribute-definitions
/
{definition_id}
고객 속성 정의 삭제
curl --request DELETE \
--url https://client-api.tryvox.co/v3/customer-attribute-definitions/{definition_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://client-api.tryvox.co/v3/customer-attribute-definitions/{definition_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client-api.tryvox.co/v3/customer-attribute-definitions/{definition_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed.",
"details": {
"field": "name",
"reason": "must not be blank"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Permission denied.",
"details": {}
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": {
"resource": "agent"
}
}
}{
"error": {
"code": "CONFLICT",
"message": "The requested operation conflicts with current state.",
"details": {
"current_status": "draft"
}
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests.",
"details": {
"limit": 5,
"window_seconds": 1
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error.",
"details": {}
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service temporarily unavailable.",
"details": {}
}
}Was this page helpful?
Previous
메모리 목록 조회인증된 조직의 활성 메모리를 고객과 에이전트 쌍으로 묶어 조회합니다. `customer_id`와 `agent_id` 중 하나 이상을 전달해야 합니다. 둘 다 생략하면 400 `VALIDATION_ERROR`를 반환합니다. 각 그룹은 활성 fact를 `static`과 `dynamic` tier로 나눕니다. 각 tier는 `created_at` 내림차순입니다. 그룹은 페이지 사이에서 나뉘지 않으며 `total_count`는 그룹 수입니다. 에이전트가 없으면 404 `AGENT_NOT_FOUND`를 반환합니다.
Next
⌘I
고객 속성 정의 삭제
